Sono disponibili per Ubuntu e Fedora i nuovi driver Intel Graphics Installer 1.2.0.

Intel Driver Graphics Installer Linux
Intel ha recentemente rilasciato la nuova versione 1.2.0 dei Graphics Installer, driver che portano con se il nuovo Graphics Stack 2015Q2, aggiornamento che include importanti novità. I driver Intel Graphics Installer 1.2.0 includono il supporto per Ubuntu 15.04 Vivid (compreso le derivate) e Fedora 22 oltre a diverse ottimizzazioni approdate con il nuovo Stack 2015Q5. Tra le novità troviamo migliorie riguardanti il nuovo Kernel Linux 4.x e ottimizzazioni per processori con architettura Broadwell e CherryView oltre a maggiori performance grafiche (grazie anche a MESA 10.6.0).

Importante novità approdata con Intel Graphics Installer 1.2.0 riguarda il supporto per nuove cpu / gpu Skylake ed il completo supporto per la decodifica / codifica VP9 e HEVC.
Intel Graphics Installer 1.2.0 è già disponibile per Ubuntu 15.04 Vivid e Fedora 22 (non supporta le versioni precedenti), per installarlo basta consultare la pagina dedicata dal portale 01.org.

  • Claudio

    Ma attraverso questo metodo è possibile installarlo su Debian?

    • lo stesso metodo solo che non ti posso garantire che funzioni al 100% prova mal che vada riavvi con il kernel di default e rimuovi il nuovo kernel

      • Claudio

        Ok! Di solito io aspetto che esca sui repository di Sid e lo installo da lì, ma stavolta provo con questo. Grazie mille!

  • Paulo Boniatti

    Ciao Roberto,

    forse ti sei dimenticato di inserire il nuovo script
    che non ha più la dipendenza del lynx:
    https://www.dropbox.com/s/7sqojrtgfpax955/updatekernel.sh

    Se vuoi possiamo anche inserire l’opzione di rimuovere l’ultimo kernel installato, in modo che la gente non abbia bisogno del “sudo apt-get purge linux.image-3.10.2*”

    Ciao

    • lo provato ma mi dava errore
      e non avevo tempo per lavorarci sopra

      • Paulo Boniatti

        Ah, ok. Strano però… io ho scoperto l’aggiornamento alla 3.10.2 perchè lo script l’ha aggiornato… Darò un’occhiata.

  • telperion

    penso sia meglio aspettare almeno la 3.10.6

    • ale

      Ma è già stabilissimo,io lo suo da quando è alla 3.10.0

  • EnricoD

    molto bene… aggiornato.. nessun prolblema

  • Giatuareg

    Ciao Roberto, ho seguito la guida ma ho schermo nero dopo il boot. Uso luna 0.2 beta con una ati 5xxx.
    Riesco dal grub a loggare con il 3.9 (grazie al cielo.. la 3.2 di default è orrenda)
    Intuizione del niubbo: devo reinstallare i driver grafici? posso rimettere quelli che ho (e che non so più da dove li avevo presi 😀 ? )
    grazie ragazzi

    • Se ritorni al kernel precedente non serve reinstallare i driver

      • Giatuareg

        Infatti se dal grub seleziono il 3.9 tutto funziona come prima, ma ho scoperto che sto usando gli open driver e non i catalyst. mi chiedo quale sia la procedura corretta: update del kernel con driver open e poi installazione catalyst o viceversa

  • Cesare Puliatti

    Sono riuscito a compilare il kernel dai sorgenti, ma i driver Nvidia proprio non vogliono proprio funzionare :/

  • Wifi che non aggancia più il router con il nuovo kernel…sono costretto a passare momentaneamente da arch a mint…grazie torvalds…

    • ale

      Reinstalla il kernel vecchio,se non hai cancellato la cache basta dare un pacman -U /var/cache/pacman/pkg/linux-3.9.9-1-x86_64.pkg.tar.xz ,e poi non aggiornare il kernel (se mai metti di ignorarlo in pacman.conf)

      • Non ho pensato a questa soluzione, ormai è tardi perchè mi serviva subito il notebook che funziona, fra un paio di aggiornamenti kernel riprovo a metterlo, tanto basta scaricare la iso aggiornata e provare con wifi-menu in live per vedere se l’han corretto

        • ale

          Se non puoi sempre scaricare il kernel e compilarlo da te,non è difficilissimo

    • glukosio

      io me lo compilo sempre da me alla standard way, e tengo sempre la versione precedente nel grub così da avere sempre un punto di ritorno in caso qualcosa andasse storto 😉

      • Eh beato te che lo sai fare, io mi fermo alla conoscenza della struttura di linux, niente di più avanzato. Ma non c’è un modo per installare il kernel 3.9.9 senza la sua presenza in cache e inibendo poi l’aggiornamento dal pacman.conf?

        • Dea1993

          installa linux-lts se non vuoi che ti si aggiorni alla versione 3.10, però la versione LTS è ferma alla 3.0.87

          • direi…no da un eccesso all’altro xD vedo se riesco a fare come dice glukosio xD
            Edit. L’ultimo LTS è il 3.4

        • glukosio

          vai su kernel.org, scarichi il pacchetto, segui la guida su wiki di archlinux per installarlo, poi funziona tutto 😉

          • E’ un inferno farlo nelle condizioni in cui sono ora, non va dal 3.10 in poi, ho provato anche il 3.10.4 usando i repo testing, spero si risolva prima o poi…e menomale che è una scheda wireless intel…
            Me ne starò per un pò su xubuntu dai..

  • alberto

    meno male che ce linux per noi con intel hd3000 w10 ci ha abbandonato:)

  • Mauro Contene

    perché ubuntu 15.04? non è una distro a supporto limitato?
    non posso usare l’installer neanche nella mia 14.04 che è una LTS.
    che tempistiche del pifero!

    • Andrea

      sei sicuro? dovrebbe esserci pieno supporto per la 14.04, è stato solo esteso il supporto anche alla 15.04.

      • Mauro Contene

        già con l’installer precendente avevano rotto la compatibilità in favore di ubuntu 14.10.

        • Simone

          Si, infatti, io sta cosa non la capisco, le LTS dovrebbero avere tutto il supporto di questo mondo e per Trusty devi fare un sacrificio umano per installare il Graphic Installer.

  • lino

    datemi un motivo per comprare una cpu amd

    • Mauro Contene

      costano poco e fanno il loro sporco lavoro.
      le GPU AMD, con i driver open, male male non si comportano.

      ho avuto molte APU FM1 e FM2 e mi ci sono trovato molto bene.

    • Idntfllow

      Parlando di CPU non ce ne

  • Andrea

    Distribuzione non supportata…..uffa Ubuntu 14.04.2 LTS

  • maniuz

    questo installer funziona anche per chi è in possesso di doppia scheda video nvidia/intel?

No more articles